summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/heyu/files/2.5.0/heyu.init')
-rw-r--r--app-misc/heyu/files/2.5.0/heyu.init22
1 files changed, 22 insertions, 0 deletions
diff --git a/app-misc/heyu/files/2.5.0/heyu.init b/app-misc/heyu/files/2.5.0/heyu.init
new file mode 100644
index 000000000..93a66517d
--- /dev/null
+++ b/app-misc/heyu/files/2.5.0/heyu.init
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+start() {
+ ebegin "Starting heyu"
+ start-stop-daemon --start --quiet --exec /usr/bin/heyu --chuid heyu:heyu -- start >/dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping heyu"
+ start-stop-daemon --stop --quiet --exec /usr/bin/heyu
+ eend $?
+}
+
+restart() {
+ svc_stop
+ sleep 5
+ svc_start
+}